package com.hikcreate.edl.pub.web.mobile.infra.core.Result;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: xieshixiang
 * @time：2020/6/24 10:28
 **/
@AllArgsConstructor
@Getter
public enum ResultCode {

    SUCCESS(1000, "操作成功"),
    SYSTEM_ERROR(1001, "系统未知错误"),
    PERMISSION_DENIED(1002, "没有权限"),
    DATA_ERROR(1003, "数据错误"),
    REPEAT_SUBMIT(1004, "重复提交"),
    PARAM_ERROR(1005, "参数错误"),
    BUSINESS_ERROR(1006, "业务错误"),
    BIND_NUM_ERROR(1501, "同一客户绑定认证不超过3辆"),
    UNBIND_TOTAL_ERROR(1502, "30天内解绑次数超过10次,不能再次绑定认证"),
    USERID_PHONE_ERROR(1503, "客户ID与手机号不一致"),
    CAR_MESSAGE_UNKNOWN(1504, "车辆信息不存在"),
    CAR_PHONE_UNMATCHED(1505, "手机号与车辆备案手机号不一致"),
    CAR_HAVE_BIND(1506, "车辆已被绑定"),
    BIND_INFO_UNKNOWN(1507, "绑定认证不存在"),
    DRIVING_LICENSE_UNKNOWN(1508, "车主驾照信息不存在");

    /**
     * 状态码
     */
    private long code;

    /**
     * 描述信息
     */
    private String msg;


}
